Index: orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4836)
@@ -24,5 +24,5 @@
    MODEL_DISPLAY_LIST means, that a DisplayList will be built out of the model. This model will be STATIC, meaning it cannot be changed after initialisation.
    MODEL_VERTEX_ARRAY means, that a VertexArray will be built out of the model. This moel will be DYNAMIX, meaning that one can change the properties from outside of the model.
- * \todo implement this stuff
+ * @todo implement this stuff
 */
 typedef enum MODEL_TYPE {
@@ -90,5 +90,5 @@
   ModelFace*   firstFace;      //!< The first Face in this group.
   ModelFace*   currentFace;    //!< The current Face in this Group (the one we are currently working with.)
-  int          faceMode;       //!< The Mode the Face is in: initially -1, 0 for FaceList opened, 1 for Material,  3 for triangle, 4 for Quad, 5+ for Poly \todo ENUM...
+  int          faceMode;       //!< The Mode the Face is in: initially -1, 0 for FaceList opened, 1 for Material,  3 for triangle, 4 for Quad, 5+ for Poly @todo ENUM...
   int          faceCount;      //!< The Number of Faces this Group holds.
 
@@ -111,23 +111,23 @@
   void draw(char* groupName) const;
 
-  /** \returns Count of the Models (Groups) in this File */
+  /** @returns Count of the Models (Groups) in this File */
   inline int getGroupCount() const { return this->groupCount; };
 
-  /** \returns a Pointer to the Vertex-Array, if it was deleted it returns NULL */
+  /** @returns a Pointer to the Vertex-Array, if it was deleted it returns NULL */
   inline const GLfloat* getVertexArray() const { return this->vertices->getArray(); };
-  /** \returns the VertexCount of this Model */
+  /** @returns the VertexCount of this Model */
   inline unsigned int getVertexCount() const { return this->vertexCount; };
 
-  /** \returns a Pointer to the Normals-Array, if it was deleted it returns NULL */
+  /** @returns a Pointer to the Normals-Array, if it was deleted it returns NULL */
   inline const GLfloat* getNormalsArray() const { return this->normals->getArray(); };
-  /** \returns the NormalsCount of this Model */
+  /** @returns the NormalsCount of this Model */
   inline unsigned int getNormalsCount() const { return this->normalCount; };
 
-  /** \returns a Pointer to the TexCoord-Array, if it was deleted it returns NULL */
+  /** @returns a Pointer to the TexCoord-Array, if it was deleted it returns NULL */
   inline const GLfloat* getTexCoordArray() const { return this->vTexture->getArray(); };
-  /** \returns the TexCoord-Count of this Model */
+  /** @returns the TexCoord-Count of this Model */
   inline unsigned int getTexCoordCount() const { return this->texCoordCount; };
 
-  /** \returns the Count of Faces of this Model */
+  /** @returns the Count of Faces of this Model */
   inline unsigned int getFaceCount() const { return this->faceCount; };
 
@@ -157,5 +157,5 @@
 
  protected:
-  float            scaleFactor;     //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
+  float            scaleFactor;     //!< The Factor with which the Model should be scaled. @todo maybe one wants to scale the Model after Initialisation
 
  private:
Index: orxonox/trunk/src/lib/graphics/importer/objModel.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 4836)
@@ -28,7 +28,7 @@
 
 /**
-   \brief Crates a 3D-Model, loads in a File and scales it.
-   \param fileName file to parse and load (must be a .obj file)
-   \param scaling The factor that the model will be scaled with.
+ *  Crates a 3D-Model, loads in a File and scales it.
+ * @param fileName file to parse and load (must be a .obj file)
+ * @param scaling The factor that the model will be scaled with.
 */
 OBJModel::OBJModel(const char* fileName, float scaling) : Model(fileName)
@@ -44,5 +44,5 @@
 
 /**
-   \brief deletes an OBJModel.
+ *  deletes an OBJModel.
 
    Looks if any from model allocated space is still in use, and if so deleted it.
@@ -56,6 +56,6 @@
 
 /**
-   \brief Imports a obj file and handles the the relative location
-   \param fileName The file to import
+ *  Imports a obj file and handles the the relative location
+ * @param fileName The file to import
 
    Splits the FileName from the DirectoryName
@@ -86,5 +86,5 @@
 
 /**
-   \brief Reads in the .obj File and sets all the Values.
+ *  Reads in the .obj File and sets all the Values.
    This function does read the file, parses it for the occurence of things like vertices, faces and so on, and executes the specific tasks
 */
@@ -143,5 +143,5 @@
 	  this->addGroup (buffer+2);
 	}
-      else if (!strncmp(buffer, "s ", 2)) //! \todo smoothing groups have to be implemented
+      else if (!strncmp(buffer, "s ", 2)) //! @todo smoothing groups have to be implemented
 	{
 	  PRINTF(2)("smoothing groups not supportet yet. line: %s\n", buffer);
@@ -153,6 +153,6 @@
 
 /** 
-    \brief Function to read in a mtl File.
-    \param mtlFile The .mtl file to read
+  *  Function to read in a mtl File.
+  * @param mtlFile The .mtl file to read
 
     This Function parses all Lines of an mtl File.
Index: orxonox/trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4836)
@@ -25,9 +25,9 @@
 
 /**
-   \brief Creates a 3D-Model of Primitive-Type type
+ *  Creates a 3D-Model of Primitive-Type type
 
    if you want to just display a Cube/Sphere/Cylinder/... without any material.
 
-   \todo implement Cube/Sphere/Cylinder/...
+   @todo implement Cube/Sphere/Cylinder/...
 */
 PrimitiveModel::PrimitiveModel(PRIMITIVE type, float size, unsigned int detail)
@@ -56,5 +56,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -65,7 +65,7 @@
 
 /**
-   \brief Builds a Sphere into the Model.
-   \param size The diameter of the Sphere.
-   \param detail The detail of the Sphere.
+ *  Builds a Sphere into the Model.
+ * @param size The diameter of the Sphere.
+ * @param detail The detail of the Sphere.
 */
 void PrimitiveModel::sphereModel(float size, unsigned int detail)
@@ -132,5 +132,5 @@
 }
 /**
-   \brief Creates a Cylinder.
+ *  Creates a Cylinder.
 */
 void PrimitiveModel::cylinderModel(float size, unsigned int detail)
@@ -173,7 +173,7 @@
 
 /**
-   \brief creates a cone inside of this Model
-   \param size The size of the cone
-   \param detail the Detail-level of this cone
+ *  creates a cone inside of this Model
+ * @param size The size of the cone
+ * @param detail the Detail-level of this cone
 */
 void PrimitiveModel::coneModel(float size, unsigned int detail)
@@ -209,7 +209,7 @@
 
 /**
-   \brief creates a Plane inside of this Model
-   \param size The size of this plane
-   \param detail the Detail-level of this plane.
+ *  creates a Plane inside of this Model
+ * @param size The size of this plane
+ * @param detail the Detail-level of this plane.
 */
 void PrimitiveModel::planeModel(float size, unsigned int detail)
Index: orxonox/trunk/src/lib/graphics/importer/primitive_model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*! 
     \file primitive_model.h 
-    \brief a Class to handle different simple models like planes cubes spheres and so on.
+  *  a Class to handle different simple models like planes cubes spheres and so on.
     (cube is also an option of Model, but is extended here.
 */
Index: orxonox/trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4836)
@@ -28,5 +28,5 @@
 
 /**
-   \brief Constructor for a Texture
+ *  Constructor for a Texture
 */
 Texture::Texture(const char* imageName)
@@ -39,5 +39,5 @@
 
 /**
-   \brief Destructor of a Texture
+ *  Destructor of a Texture
 
    Frees Data, and deletes the textures from GL
@@ -50,7 +50,7 @@
 
 /**
-   \brief Loads a Texture to the openGL-environment.
-   \param surface the Image to load to openGL
-   \returns The ID of the texture.
+ *  Loads a Texture to the openGL-environment.
+ * @param surface the Image to load to openGL
+ * @returns The ID of the texture.
 */
 GLuint Texture::loadTexToGL (SDL_Surface* surface)
@@ -139,6 +139,6 @@
 
 /**
-   \brief loads an Image from a file to a Texture
-   \param imageName The image to load
+ *  loads an Image from a file to a Texture
+ * @param imageName The image to load
 */
 bool Texture::loadImage(const char* imageName)
Index: orxonox/trunk/src/lib/graphics/importer/texture.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4836)
@@ -3,5 +3,5 @@
   \brief Contains the texture class, that handles the reading of Images into Texutre-files.
 
-  \todo procedural textures
+  @todo procedural textures
 */
 
@@ -27,8 +27,8 @@
   ~Texture();
 
-  /** \returns The textureID of this texture.  */
+  /** @returns The textureID of this texture.  */
   inline GLuint getTexture() {return this->texture;} 
   GLuint loadTexToGL (SDL_Surface* surface);
-  /** \returns true if texture has alpha, false otherwise */
+  /** @returns true if texture has alpha, false otherwise */
   inline bool hasAlpha() const {return bAlpha;}
 
Index: orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/light.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/light.cc	(revision 4836)
@@ -45,7 +45,7 @@
 
 /**
- * \param root The XML-element to load the Light from
-
-  \todo what to do, if no Light-Slots are open anymore ???
+ * @param root The XML-element to load the Light from
+
+  @todo what to do, if no Light-Slots are open anymore ???
  */
  Light::Light(const TiXmlElement* root)
@@ -71,5 +71,5 @@
 
 /**
-   \brief destroys a Light
+ *  destroys a Light
 */
 Light::~Light()
@@ -81,5 +81,5 @@
 
 /**
- * \param root The XML-element to load the Light from
+ * @param root The XML-element to load the Light from
  */
 void Light::loadParams(const TiXmlElement* root)
@@ -104,8 +104,8 @@
 
 /**
-   \brief sets an emitting Diffuse color of this Light
-   \param r red
-   \param g green
-   \param b blue
+ *  sets an emitting Diffuse color of this Light
+ * @param r red
+ * @param g green
+ * @param b blue
 */
 void Light::setDiffuseColor(GLfloat r, GLfloat g, GLfloat b)
@@ -120,8 +120,8 @@
 
 /**
-   \brief sets an emitting Specular color of this Light
-   \param r red
-   \param g green
-   \param b blue
+ *  sets an emitting Specular color of this Light
+ * @param r red
+ * @param g green
+ * @param b blue
 */
 void Light::setSpecularColor(GLfloat r, GLfloat g, GLfloat b)
@@ -137,8 +137,8 @@
 
 /**
-   \brief Sets the AttenuationType of this Light Source
-   \param constantAttenuation The Constant Attenuation of the Light
-   \param linearAttenuation The Linear Attenuation of the Light
-   \param quadraticAttenuation The Quadratic Attenuation of the Light
+ *  Sets the AttenuationType of this Light Source
+ * @param constantAttenuation The Constant Attenuation of the Light
+ * @param linearAttenuation The Linear Attenuation of the Light
+ * @param quadraticAttenuation The Quadratic Attenuation of the Light
 */
 void Light::setAttenuation(float constantAttenuation, float linearAttenuation, float quadraticAttenuation)
@@ -155,6 +155,6 @@
 
 /**
-   \brief stets the direction of the Spot Light.
-   \param direction The direction of the Spot Light.
+ *  stets the direction of the Spot Light.
+ * @param direction The direction of the Spot Light.
 */
 void Light::setSpotDirection(const Vector& direction)
@@ -169,6 +169,6 @@
 
 /**
-   \brief sets the cutoff angle of the Light.
-   \param cutoff The cutoff angle.
+ *  sets the cutoff angle of the Light.
+ * @param cutoff The cutoff angle.
 */
 void Light::setSpotCutoff(GLfloat cutoff)
@@ -179,5 +179,5 @@
 
 /**
-   \brief draws this Light. Being a World-entity the possibility to do this lies at hand.
+ *  draws this Light. Being a World-entity the possibility to do this lies at hand.
 */
 void Light::draw() const
@@ -190,5 +190,5 @@
 
 /**
-   \brief Prints out some nice formated debug information about the Light
+ *  Prints out some nice formated debug information about the Light
 */
 void Light::debug() const
@@ -213,5 +213,5 @@
 ******************/
 /**
-   \brief standard constructor for a Light
+ *  standard constructor for a Light
 */
 LightManager::LightManager ()
@@ -228,5 +228,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
    first disables Lighting
@@ -248,10 +248,10 @@
 
 /**
-   \brief singleton-Reference to the Light-class
+ *  singleton-Reference to the Light-class
 */
 LightManager* LightManager::singletonRef = NULL;
 
 /**
-  \param root the XML-element to load the LightManager's settings from
+* @param root the XML-element to load the LightManager's settings from
  */
 void LightManager::loadParams(const TiXmlElement* root)
@@ -265,5 +265,5 @@
 
 /**
-  \param root The XML-element to load Lights from
+* @param root The XML-element to load Lights from
  */
 void LightManager::loadLights(const TiXmlElement* root)
@@ -281,8 +281,8 @@
 // set Attributes
 /**
-   \brief sets the ambient Color of the Scene
-   \param r red
-   \param g green
-   \param b blue
+ *  sets the ambient Color of the Scene
+ * @param r red
+ * @param g green
+ * @param b blue
 */
 void LightManager::setAmbientColor(GLfloat r, GLfloat g, GLfloat b)
@@ -297,5 +297,5 @@
 
 /**
-  \param light the Light to register to the LightManager
+* @param light the Light to register to the LightManager
 
   This is done explicitely by the constructor of a Light
@@ -314,5 +314,5 @@
 
 /**
-  \param light The light to unregister from the LightManager
+* @param light The light to unregister from the LightManager
 
   This is done every time a Light is destroyed explicitely by the Light-destructor
@@ -333,5 +333,5 @@
 
 /**
-   \brief draws all the Lights in their appropriate position
+ *  draws all the Lights in their appropriate position
  */
 void LightManager::draw() const
@@ -346,5 +346,5 @@
 
 /**
-   \brief outputs debug information about the Class and its lights
+ *  outputs debug information about the Class and its lights
 */
 void LightManager::debug() const
Index: orxonox/trunk/src/lib/graphics/light.h
===================================================================
--- orxonox/trunk/src/lib/graphics/light.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/light.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file light.h
-    \brief Handles Lights.
+  *  Handles Lights.
 
     A Light is one of the more important things in a 3D-environment,
@@ -38,5 +38,5 @@
   void setSpotCutoff(GLfloat cutoff);
 
-  /** \returns the lightNumber*/
+  /** @returns the lightNumber*/
   int getLightNumber() const {return this->lightNumber;}
 
@@ -92,5 +92,5 @@
  public:
   virtual ~LightManager();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static LightManager* getInstance() { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
 
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4836)
@@ -22,6 +22,6 @@
 
 /**
-   \brief standard constructor
-   \todo this constructor is not jet implemented - do it
+ *  standard constructor
+   @todo this constructor is not jet implemented - do it
 */
 Quadtree::Quadtree (modelInfo* pModelInfo)
@@ -33,5 +33,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -43,5 +43,5 @@
 
 /**
-   \brief gives the signal to separate the model into a quadtree
+ *  gives the signal to separate the model into a quadtree
  */
 void Quadtree::separate()
@@ -50,5 +50,5 @@
 
 /**
-   \brief draws the debug quadtree boxes around the model
+ *  draws the debug quadtree boxes around the model
  */
 void Quadtree::drawTree(int depth, int drawMode) const
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file quadtree.h
-    \brief Definition of a spatial data separation using quadtree
+  *  Definition of a spatial data separation using quadtree
 
 */
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4836)
@@ -22,5 +22,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 QuadtreeNode::QuadtreeNode (sTriangleExt* triangles, int numTriangles, Quadtree* quadtree)
@@ -31,5 +31,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -41,6 +41,6 @@
 
 /**
-   \brief gives the signal to separate the model into a quadtree
-   \param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
+ *  gives the signal to separate the model into a quadtree
+ * @param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
  */
 void QuadtreeNode::separateNode(int treeDepth)
@@ -49,6 +49,6 @@
 
 /**
-   \brief gives the signal to separate the model into a quadtree
-   \param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
+ *  gives the signal to separate the model into a quadtree
+ * @param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
 */
 void QuadtreeNode::separateNode(float minLength)
@@ -57,5 +57,5 @@
 
 /**
-   \brief draws the debug quadtree boxes around the model
+ *  draws the debug quadtree boxes around the model
  */
 void QuadtreeNode::drawTree(int depth, int drawMode) const
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file proto_class.h
-    \brief Definition of ...
+  *  Definition of ...
 
 */
Index: orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4836)
@@ -24,7 +24,7 @@
 
 /**
-   \brief standard constructor
-   \param model the model that is to be separated
-   \param overlapSize each box will overlap for a given size
+ *  standard constructor
+ * @param model the model that is to be separated
+ * @param overlapSize each box will overlap for a given size
 
    The boxes are overlaping because this makes collision detection a lot simpler
@@ -38,7 +38,7 @@
 
 /**
-   \brief standard constructor
-   \param model the model that is to be separated
-   \param overlapSize each box will overlap for a given size
+ *  standard constructor
+ * @param model the model that is to be separated
+ * @param overlapSize each box will overlap for a given size
 
    The boxes are overlaping because this makes collision detection a lot simpler
@@ -53,5 +53,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -63,6 +63,6 @@
 /**
   \brief creates a quadtree
-  \param model the model to do a quadtree on
-  \param minLength the minimal length of a quadtree node
+* @param model the model to do a quadtree on
+* @param minLength the minimal length of a quadtree node
   \return the new quadtree
  */
@@ -76,6 +76,6 @@
 /**
   \brief creates a quadtree
-  \param model the model to do a quadtree on
-  \param minLength the minimal length of a quadtree node
+* @param model the model to do a quadtree on
+* @param minLength the minimal length of a quadtree node
   \return the new quadtree
  */
@@ -88,6 +88,6 @@
 /**
   \brief creates a quadtree
-  \param model the model to do a quadtree on
-  \param minLength the minimal length of a quadtree node
+* @param model the model to do a quadtree on
+* @param minLength the minimal length of a quadtree node
   \return the new quadtree
 */
@@ -103,5 +103,5 @@
 /**
   \brief gets the maximal dimension of a model
-  \param playerModel the model that this measurement is based on
+* @param playerModel the model that this measurement is based on
   \return the maximal dimension of the model
  */
Index: orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file spatial_separation.h
-    \brief Definition of the generic spatial separation process of model data
+  *  Definition of the generic spatial separation process of model data
 
  */
